#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2022/05/24 13:07:28
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   main function
'''
import time,sys,re,os
from crawl_xiaohua.crawl_xiaohua import CrawlXiaohua
from flask import Flask

def server(config:str, argv=None):
    ''' web server mode '''
    if argv is None:
        argv = sys.argv
    else:
        sys.argv.extend(argv)
    app=Flask(__name__)
    app.run()

def run(extractor:str, cmd:str, argv=None):
    ''' shell mode '''
    if argv is None:
        argv = sys.argv
    if extractor == 'xiaohua':
        crawl = CrawlXiaohua()
        if cmd == 'duanzi':
            crawl.crawlDuanzi()
        else:
            crawl.crawl()
    else:
        print('unknown extractor: %s' % extractor)